--- a/src/rrd_cgi.c
+++ b/src/rrd_cgi.c
@@ -51,6 +51,7 @@
     const char **);
 
 /* call rrd_graph and insert appropriate image tag */
+#ifdef HAVE_RRD_GRAPH
 static char *drawgraph(
     long,
     const char **);
@@ -59,6 +60,7 @@
 static char *drawprint(
     long,
     const char **);
+#endif /* HAVE_RRD_GRAPH */
 
 /* pretty-print the <last></last> value for some.rrd via strftime() */
 static char *printtimelast(
@@ -510,9 +512,13 @@
         }
         parse(&buffer, i, "<RRD::GETVAR", rrdgetvar);
         parse(&buffer, i, "<RRD::GOODFOR", rrdgoodfor);
+#ifdef HAVE_RRD_GRAPH
         parse(&buffer, i, "<RRD::GRAPH", drawgraph);
+#endif /* HAVE_RRD_GRAPH */
         parse(&buffer, i, "<RRD::INCLUDE", includefile);
+#ifdef HAVE_RRD_GRAPH
         parse(&buffer, i, "<RRD::PRINT", drawprint);
+#endif /* HAVE_RRD_GRAPH */
         parse(&buffer, i, "<RRD::SETCONSTVAR", rrdsetvarconst);
         parse(&buffer, i, "<RRD::SETENV", rrdsetenv);
         parse(&buffer, i, "<RRD::SETVAR", rrdsetvar);
@@ -900,7 +906,7 @@
 }
 
 
-
+#ifdef HAVE_RRD_GRAPH
 static char *drawgraph(
     long argc,
     const char **args)
@@ -931,6 +937,7 @@
     }
     return NULL;
 }
+#endif /* HAVE_RRD_GRAPH */
 
 static char *drawprint(
     long argc,
